{{/*
SPDX-FileCopyrightText: 2024 Zentrum für Digitale Souveränität der Öffentlichen Verwaltung (ZenDiS) GmbH
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if and .Values.apps.nubus.enabled .Values.protectedServices.enabled }}
---
apiVersion: {{ .Values.protectedServices.apiVersion | quote }}
kind: "ProtectedService"
metadata:
  name: "{{ include "common.names.fullname" . }}-ums-ldap-server-primary"
  namespace: {{ .Values.apps.nubus.namespace | default .Release.Namespace | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.additionalLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.additionalLabels "context" . ) | nindent 4 }}
    {{- end }}
  {{- if .Values.additionalAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.additionalAnnotations "context" . ) | nindent 4 }}
  {{- end }}
spec:
  name: "ums-ldap-server-primary"
...
{{- end }}
